@echo off
echo Ce script va initialiser le projet et le compiler une première fois.
echo La ROM sera éventuellement lancée ensuite si l'extension .gba est associée
echo à un émulateur.
pause

:: Crée un fichier (all.h) contenant tous les symboles
cd Sonic\source\Res
call all.exe

:: Construit le moteur
cd ..\..
call rebuild.bat

:: Construit le système de fichiers du SDK
cd ..\SonDK\Fichiers\sons
call sound.exe
del decomp.wav

:: Récupère le projet
cd ..\..
call "Recuperer moteur.bat"

:: Construit la ROM puis celle avec le système de fichiers
cd Donnees
call all.exe
cd ..

call Rebuild.bat
call "Creer ROM finale.bat"

:: En cas d'erreur...
echo Terminé!
pause
